Your browser version is no longer supported, so you may experience issues while using this site.
Please upgrade to a current browser to enjoy the best experience.

To use Google Pay, your device needs to be NFC-capable and running the correct level of Android operating system. You can find all the up-to-date requirements on Google’s Set Up Google Pay page.